diff --git a/grammar/rainerscript.c b/grammar/rainerscript.c
index 998dfe0e9a..aeb62de2a5 100644
--- a/grammar/rainerscript.c
+++ b/grammar/rainerscript.c
@@ -2241,6 +2241,11 @@ doFuncCall(struct cnffunc *__restrict__ const func, struct svar *__restrict__ co
 		ret->d.n = wtiGetScriptErrno(pWti);
 		DBGPRINTF("script_error() is %d\n", (int) ret->d.n);
 		break;
+	case CNFFUNC_PREVIOUS_ACTION_SUSPENDED:
+		ret->datatype = 'N';
+		ret->d.n = wtiGetPrevWasSuspended(pWti);
+		DBGPRINTF("previous_action_suspended() is %d\n", (int) ret->d.n);
+		break;
 	default:
 		if(Debug) {
 			char *fname = es_str2cstr(func->fname, NULL);
@@ -4363,6 +4368,8 @@ funcName2ID(es_str_t *fname, unsigned short nParams)
 		GENERATE_FUNC("parse_time", 1, CNFFUNC_PARSE_TIME);
 	} else if(FUNC_NAME("script_error")) {
 		GENERATE_FUNC("script_error", 0, CNFFUNC_SCRIPT_ERROR);
+	} else if(FUNC_NAME("previous_action_suspended")) {
+		GENERATE_FUNC("previous_action_suspended", 0, CNFFUNC_PREVIOUS_ACTION_SUSPENDED);
 	} else {
 		return CNFFUNC_INVALID;
 	}
diff --git a/grammar/rainerscript.h b/grammar/rainerscript.h
index 2efcc88f99..fb6915b54b 100644
--- a/grammar/rainerscript.h
+++ b/grammar/rainerscript.h
@@ -239,7 +239,8 @@ enum cnffuncid {
 	CNFFUNC_RTRIM,
 	CNFFUNC_FORMAT_TIME,
 	CNFFUNC_PARSE_TIME,
-	CNFFUNC_SCRIPT_ERROR
+	CNFFUNC_SCRIPT_ERROR,
+	CNFFUNC_PREVIOUS_ACTION_SUSPENDED
 };
 
 struct cnffunc {
diff --git a/runtime/wti.h b/runtime/wti.h
index 6101001b0e..bbf4a05575 100644
--- a/runtime/wti.h
+++ b/runtime/wti.h
@@ -117,6 +117,13 @@ PROTOTYPEpropSetMeth(wti, pWtp, wtp_t*);
 #define incActionNbrResRtry(pWti, pAction) ((pWti)->actWrkrInfo[(pAction)->iActionNbr].iNbrResRtry++)
 #define wtiInitIParam(piparams) (memset((piparams), 0, sizeof(actWrkrIParams_t)))
 
+static inline uint8_t ATTR_UNUSED ATTR_NONNULL(1)
+wtiGetPrevWasSuspended(const wti_t * const pWti)
+{
+	assert(pWti != NULL);
+	return pWti->execState.bPrevWasSuspended;
+}
+
 static inline uint8_t ATTR_UNUSED ATTR_NONNULL(1)
 wtiGetScriptErrno(const wti_t * const pWti)
 {
diff --git a/tests/Makefile.am b/tests/Makefile.am
index e0467b86a2..201a7135e3 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -246,6 +246,7 @@ TESTS +=  \
 	rscript_format_time.sh \
 	rscript_parse_time.sh \
 	rscript_script_error.sh \
+	rscript_previous_action_suspended.sh \
 	mmanon_random_32_ipv4.sh \
 	mmanon_random_cons_32_ipv4.sh \
 	mmanon_recognize_ipv4.sh \
@@ -893,6 +894,7 @@ EXTRA_DIST= \
 	rscript_parse_time.sh \
 	rscript_parse_time_get-ts.py \
 	rscript_script_error.sh \
+	rscript_previous_action_suspended.sh \
 	mmanon_random_32_ipv4.sh \
 	mmanon_random_cons_32_ipv4.sh \
 	mmanon_recognize_ipv4.sh \
